Problem with Keepass2 conversion

Hi,

I'm trying to import Keepass2 content and I'm following https://support.1password.com/import/.
When I run the command line tool it failes with an exception.

C:\Users\Pawel\Desktop\convert_to_1p4>perl convert_to_1p4.pl keepass2 Main1.kdbx
Can't locate Date/Calc.pm in @INC (you may need to install the Date::Calc module) (@INC contains: C:/Strawberry/perl/site/lib C:/Strawberry/perl/vendor/lib C:/Strawberry/perl/lib .) at Utils/PIF.pm line 18.
BEGIN failed--compilation aborted at Utils/PIF.pm line 18.
Compilation failed in require at convert_to_1p4.pl line 15.
BEGIN failed--compilation aborted at convert_to_1p4.pl line 15 (#1)
(F) You said to do (or require, or use) a file that couldn't be found.
Perl looks for the file in all the locations mentioned in @INC, unless
the file name included the full path to the file. Perhaps you need
to set the PERL5LIB or PERL5OPT environment variable to say where the
extra library is, or maybe the script needs to add the library name
to @INC. Or maybe you just misspelled the name of the file. See
"require" in perlfunc and lib.

Uncaught exception from user code:
Can't locate Date/Calc.pm in @INC (you may need to install the Date::Calc module) (@INC contains: C:/Strawberry/perl/site/lib C:/Strawberry/perl/vendor/lib C:/Strawberry/perl/lib .) at Utils/PIF.pm line 18.
BEGIN failed--compilation aborted at Utils/PIF.pm line 18.
Compilation failed in require at convert_to_1p4.pl line 15.
BEGIN failed--compilation aborted at convert_to_1p4.pl line 15.

C:\Users\Pawel\Desktop\convert_to_1p4>

Regards

Pawel


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided
Referrer: forum-search:Keepass2

Comments

  • MikeTMikeT Agile Samurai

    Team Member

    Hi @pawelpabich,

    I'm pinging @MrC to help as it is his script that's being used. It looks like it is missing a few modules. Are you using Windows 10 by any chance?

    Did you download the latest PortableZip version of Strawberry Perl from here: http://strawberryperl.com/releases.html

  • MrCMrC Community Moderator

    Hi @pawelpabich ,

    Indeed @MikeT has indicated the problem. Your perl installation is missing the Date::Calc module.

    First, please use the 1.09 version in Testing Bits, mentioned in the first post of the converter suite. It contains a new feature for KeePass2 to include the historic passwords.

    Second, please re-run the module install for Date::Calc. In the Strawberry Perl environment, which I presume you've launched using the portableshell.bat file (in the Portable version). To re-run, do this:

     cpan Date::Calc
    

    Once installed, you can re-run the converter.

  • edited June 2016

    Thanks @MrC!. cpan Date::Calc + cpan XML::XPath fixed all problems.
    @MikeT I really wished this was a builtin tool.

  • MikeTMikeT Agile Samurai

    Team Member

    Hi guys,

    @pawelpabich, that's great, thanks for letting us know and on behalf of MrC, you're welcome.

    As for the built-in better import tool, we do apologize for falling behind on this and we also wish we could have MrC on our team building it in for us as he's amazing. We are planning to overhaul our entire import/export infrastructure and it is something we're starting to do on OS X with plans to carry it over to Windows. We also want to replicate this onto 1Password.com in the future as well, so we can have the standardized import process on multiple platforms at once.

  • Great that this work is already started.

  • MikeTMikeT Agile Samurai

    Team Member

    Hopefully, we can bring it over to Windows soon.

    If there's anything else we can do for you, please let us know.

This discussion has been closed.